Player
{
	parent_type = /mob
	var
	{
		SlotCollection/_equipmentSlots = new()
		SlotCollection/_inventorySlots = new()
		obj/ToggleInventoryButton/_toggleButton
	}

	Login()
	{
		InitPlayer()
		..()
	}

	proc
	{
		InitPlayer()
		{
			_toggleButton = new()
			_toggleButton.pixel_y = -200
			vis_contents.Add(_toggleButton)
			_equipmentSlots.CreateSlotCollection(20, "Inventory")
			_inventorySlots.CreateSlotCollection(30, "Equipment")

			// Position wherever I want relative to the player.
			// Relative positioning makes things super hot. I can
			// easily postiion an animating object over any slot
			// by creating the object and then slot.vis_contents.Add(myAnimatingObj)
			// and then after it's done, I vis_contents.Remove(myAnimatingObj)
			_equipmentSlots.pixel_y -= 200
			_equipmentSlots.pixel_x -= 50

			// Add our slots to the player so we can see them
			vis_contents.Add(_equipmentSlots)
			vis_contents.Add(_inventorySlots)
		}

		ToggleButtonClicked()
		{
			if (vis_contents.Find(_equipmentSlots))
			{
				vis_contents.Remove(_equipmentSlots)
			}
			else
			{
				vis_contents.Add(_equipmentSlots)
			}

		}
	}
}