SlotCollection
{
	parent_type = /obj
	var
	{
		list/Slot/_listOfInventorySlots = new()
	}

	proc
	{
		CreateSlotCollection(var/totalSlotCount, var/collectionName)
		{
			for(var/i = 1; i <= totalSlotCount; i++)
			{
				var/Slot/slot= new()
				slot._slotType = collectionName
				_listOfInventorySlots.Add(slot);
			}

			var/xOffset = 0
			var/yOffset = 4
			for(var/Slot/slot in _listOfInventorySlots)
			{
				slot.pixel_x = xOffset * 64
				slot.pixel_y += yOffset * 64
				slot.icon_state = "[collectionName]Slot"
				slot.name = slot.icon_state

				// 0 index
				if (xOffset++ == 9)
				{
					yOffset -= 1
					xOffset = 0
				}

				// Adds to the slot to Equipment so you can see it
				vis_contents.Add(slot)
			}
		}
	}
}